| # Gaudi Framework, version v20r4
Generated: 8 Jan 2009

# IRndmGen Class Reference

`#include <GaudiKernel/IRndmGen.h>`

Inheritance diagram for IRndmGen:

[legend]
Collaboration diagram for IRndmGen:

[legend]

List of all members.

## Detailed Description

Definition of a interface for a generic random number generators.

Author:
  M.Frank

Version:
  1.0

Definition at line 37 of file IRndmGen.h.

## Public Member Functions
virtual StatusCode | initialize (const IRndmGen::Param &par)=0
| Initialize the generator.
virtual StatusCode | finalize ()=0
| Initialize the generator.
virtual const InterfaceID & | type () const =0
| Random number generator type.
virtual long | ID () const =0
| Random generator ID.
virtual const IRndmGen::Param * | parameters () const =0
| Access to random number generator parameters.
virtual double | shoot () const =0
| Single shot returning single random number according to specified distribution.
virtual StatusCode | shootArray (std::vector< double > &array, long howmany, long start=0) const =0
| Multiple shots returning vector with random number according to specified distribution.
## Static Public Member Functions
static const InterfaceID & | interfaceID ()
| Retrieve interface ID.
## Classes
class | Param

## Member Function Documentation

static const InterfaceID& IRndmGen::interfaceID | ( |  | ) | `[inline, static]`

Retrieve interface ID.

Reimplemented from IInterface.

Definition at line 60 of file IRndmGen.h.

    00060 { return IID_IRndmGen; }

virtual StatusCode IRndmGen::initialize | ( | const IRndmGen::Param & | par | ) | `[pure virtual]`

Initialize the generator.

Implemented in HepRndm::Generator< TYPE >, HepRndm::Generator< Rndm::DefinedPdf >, and RndmGen.

virtual StatusCode IRndmGen::finalize | ( |  | ) | `[pure virtual]`

Initialize the generator.

Implemented in HepRndm::Generator< Rndm::DefinedPdf >, and RndmGen.

virtual const InterfaceID& IRndmGen::type | ( |  | ) | const`[pure virtual]`

Random number generator type.

Implemented in RndmGen.

virtual long IRndmGen::ID | ( |  | ) | const`[pure virtual]`

Random generator ID.

Implemented in RndmGen.

virtual const IRndmGen::Param* IRndmGen::parameters | ( |  | ) | const`[pure virtual]`

Access to random number generator parameters.

Implemented in RndmGen.

virtual double IRndmGen::shoot | ( |  | ) | const`[pure virtual]`

Single shot returning single random number according to specified distribution.

Implemented in HepRndm::Generator< TYPE >, HepRndm::Generator< Rndm::DefinedPdf >, RndmGen, HepRndm::Generator< TYPE >, HepRndm::Generator< TYPE >, HepRndm::Generator< TYPE >, HepRndm::Generator< TYPE >, HepRndm::Generator< TYPE >, HepRndm::Generator< TYPE >, HepRndm::Generator< TYPE >, HepRndm::Generator< TYPE >, HepRndm::Generator< TYPE >, HepRndm::Generator< TYPE >, HepRndm::Generator< TYPE >, HepRndm::Generator< TYPE >, and HepRndm::Generator< TYPE >.

virtual StatusCode IRndmGen::shootArray | ( | std::vector< double > & | array,
|  | long | howmany,
|  | long | start = `0` |
| ) |  |  | const`[pure virtual]`

Multiple shots returning vector with random number according to specified distribution.

Parameters:

  | array | Array containing random numbers
  | howmany | fill 'howmany' random numbers into array
  | start | ... starting at position start
  | Statuscode | indicating success or failure

Implemented in RndmGen.

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r4/GaudiKernel/GaudiKernel/IRndmGen.h